Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455299 - Phonon doesn't check if different playback devices refer to the same underlying hardware
Summary: Phonon doesn't check if different playback devices refer to the same underlyi...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: phonon
Version: 9
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 18:48 UTC by Philip Ashmore
Modified: 2009-05-26 15:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-26 15:09:06 UTC


Attachments (Terms of Use)

Description Philip Ashmore 2008-07-14 18:48:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
I've got two windows overlapping my KDE desktop as I'm writing this.
They both say
    The audio playback device ESS Maestro3 PCI (Maestro3) does not work.
    Falling back to PulseAudio.

Version-Release number of selected component (if applicable):
I can't find it

How reproducible:
Didn't try


Steps to Reproduce:
1. Run preupgrade to upgrade from Fedora 8 to Fedora 9
2. Sort out the mess.
3. Install kde-settings-pulseaudio so you can hear sounds from notifications (the KDE startup and shutdown sounds work!).
4. Hibernate.

Actual Results:
The windows on my screen.

Expected Results:
Phonon (what ever package it comes from) should have determined that if it has a problem using a hardware device, then it might not be appropriate to switch to a sound server using that device (Maestro3 is the only sound device on my machine).

Additional info:

Comment 1 Rex Dieter 2008-07-14 18:55:42 UTC
Fwiw, fedora should be defaulting to using pulseaudio everywhere (well, if you
have kde-settings-pulseaudio installed anyway).  If it doesn't, then that's a
bug we need to fix.

Using fallback backends is a phonon feature, but the (sometimes needless)
warnings seem a bit overkill to me too.

Comment 2 Steven M. Parrish 2009-02-06 15:18:01 UTC
Is this still an issue to be concerned about?

Comment 3 Steven M. Parrish 2009-05-26 15:09:06 UTC
Closing this as NOTABUG.  Feel free to reopen if you feel this was closed in error.


Note You need to log in before you can comment on or make changes to this bug.